<?php

namespace Litecms\Detail\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DetailTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Detail\Models\Detail $detail)
    {
        return [
            'id'                => $detail->getRouteKey(),
            'key'               => [
                'public'    => $detail->getPublicKey(),
                'route'     => $detail->getRouteKey(),
            ], 
            'name'              => $detail->name,
            'image'             => $detail->image,
            'url'               => [
                'public'    => trans_url('detail/'.$detail->getPublicKey()),
                'user'      => guard_url('detail/detail/'.$detail->getRouteKey()),
            ], 
            'status'            => trans('app.'.$detail->status),
            'created_at'        => format_date($detail->created_at),
            'updated_at'        => format_date($detail->updated_at),
        ];
    }
}